DeluxHostAPI Reference
Invoices

Get invoice details

GET
/v1/invoices/{id}

Authorization

apiToken invoices:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: invoices:read

Path Parameters

id*integer

Response Body

The invoice.

application/json
  1. response
id*integer
number*string

As filed and as printed on the PDF.

status*string
Value in"unpaid""paid""cancelled""refunded"
type*string

order | renewal | credit | manual | …

subtotalCents*integer
totalCents*integer
serviceId*integer|null
dueAt*string
Formatdate-time
paidAt*|
Formatdate-time
createdAt*string
Formatdate-time
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/invoices/0' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "id": 0,  "number": "string",  "status": "unpaid",  "type": "string",  "subtotalCents": 0,  "totalCents": 0,  "serviceId": 0,  "dueAt": "2019-08-24T14:15:22Z",  "paidAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "items": [    {      "description": "string",      "quantity": 0,      "unitPriceCents": 0,      "totalCents": 0    }  ]}